Вземи инструмент за средата на обаждане
curl --request GET \
--url https://call.aiployees.com/api/user/tools/{id} \
--header 'Accept: <accept>' \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://call.aiployees.com/api/user/tools/{id}"
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
Authorization: '<authorization>',
'Content-Type': '<content-type>',
Accept: '<accept>'
}
};
fetch('https://call.aiployees.com/api/user/tools/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "get_weather",
"description": "Use this tool to get the current weather in a specific city. Call this when the customer asks about weather conditions.",
"endpoint": "https://api.openweathermap.org/data/2.5/weather",
"method": "GET",
"timeout": 10,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
},
{
"name": "Authorization",
"value": "Bearer sk_..."
}
],
"schema": [
{
"name": "city",
"type": "string",
"description": "The city name to get weather for"
},
{
"name": "temperature",
"type": "number",
"description": "Current temperature value"
},
{
"name": "is_raining",
"type": "boolean",
"description": "Whether it is currently raining"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T12:00:00.000000Z"
}
{
"message": "Tool not found"
}
Инструменти по време на обаждане
Вземи инструмент за средата на обаждане
Извличане на конкретен инструмент за средата на обаждане по ID
GET
/
user
/
tools
/
{id}
Вземи инструмент за средата на обаждане
Този endpoint ви позволява да извлечете подробна информация за конкретен инструмент за средата на обаждане.
Headers
string
required
Bearer token за автентикация
string
required
Трябва да бъде
application/jsonstring
required
Трябва да бъде
application/jsonPath Parameters
integer
required
Уникалният идентификатор на инструмента
Response fields
integer
Уникалният идентификатор на инструмента
string
Името на инструмента (с малки букви и долни черти)
string
Подробно обяснение на кога и как AI трябва да използва този инструмент
string
URL адресът на API endpoint-а, който ще бъде извикан
string
HTTP метод (GET, POST, PUT, PATCH, DELETE)
integer
Таймаут на заявката в секунди (1-30)
array
array
string
ISO 8601 timestamp кога е създаден инструментът
string
ISO 8601 timestamp кога е последно обновен инструментът
{
"id": 1,
"name": "get_weather",
"description": "Use this tool to get the current weather in a specific city. Call this when the customer asks about weather conditions.",
"endpoint": "https://api.openweathermap.org/data/2.5/weather",
"method": "GET",
"timeout": 10,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
},
{
"name": "Authorization",
"value": "Bearer sk_..."
}
],
"schema": [
{
"name": "city",
"type": "string",
"description": "The city name to get weather for"
},
{
"name": "temperature",
"type": "number",
"description": "Current temperature value"
},
{
"name": "is_raining",
"type": "boolean",
"description": "Whether it is currently raining"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T12:00:00.000000Z"
}
{
"message": "Tool not found"
}
Присвояване на инструменти към асистенти
За да използвате този инструмент с асистент, вижте:- Създай асистент - Прикачете инструменти използвайки параметъра
tool_ids - Обнови асистент - Управлявайте присвоявания на инструменти използвайки параметъра
tool_ids

